#include "zonefile_cod5_360.h"

#include <QFile>
#include <QDataStream>
#include <QDebug>

ZoneFile_COD5_360::ZoneFile_COD5_360()
    : ZoneFile() {

}

ZoneFile_COD5_360::~ZoneFile_COD5_360() {

}

bool ZoneFile_COD5_360::Load(const QByteArray aFileData) {
    return true;
}

Utils::AssetType ZoneFile_COD5_360::AssetStrToEnum(const QString aAssetType) {
    const QString cleanedType = aAssetType.toUpper();
    if (cleanedType == "00000021") {
        return Utils::ASSET_RAWFILE;
    } else if (cleanedType == "0000001A") {
        return Utils::ASSET_FX;
    } else if (cleanedType == "00000009") {
        return Utils::ASSET_SOUND;
    } else if (cleanedType == "00000004") {
        return Utils::ASSET_Animation;
    } else if (cleanedType == "0000000C") {
        return Utils::ASSET_COLLISION_MAP;
    } else if (cleanedType == "00000021") {
        return Utils::ASSET_STRINGTABLE;
    } else if (cleanedType == "00000015") {
        return Utils::ASSET_MENU;
    } else if (cleanedType == "00000008") {
        return Utils::ASSET_TECHNIQUE_SET;
    } else if (cleanedType == "00000018") {
        return Utils::ASSET_LOCALIZE_ENTRY;
    } else if (cleanedType == "00000011") {
        return Utils::ASSET_GFX_MAP;
    } else if (cleanedType == "00000012") {
        return Utils::ASSET_LIGHT_DEF;
    } else if (cleanedType == "00000014") {
        return Utils::ASSET_FONT;
    } else if (cleanedType == "00000005") {
        return Utils::ASSET_XMODEL;
    } else if (cleanedType == "0000000D") {
        return Utils::ASSET_D3DBSP;
    } else if (cleanedType == "00000006") {
        return Utils::ASSET_MATERIAL;
    } else if (cleanedType == "0000000E") {
        return Utils::ASSET_GAME_MAP_SP;
    } else if (cleanedType == "0000000B") {
        return Utils::ASSET_COL_MAP_SP;
    } else if (cleanedType == "00000001") {
        return Utils::ASSET_PHYSPRESET;
    } else if (cleanedType == "00000003") {
        return Utils::ASSET_DESTRUCTIBLE;
    } else if (cleanedType == "00000016") {
        return Utils::ASSET_MENU;
    }
    return Utils::ASSET_NONE;
}
